# Trait yii\mutex\RetryAcquireTrait

Implemented by | yii\mutex\FileMutex, yii\mutex\PgsqlMutex, yii\redis\Mutex
Available since version | 2.0.16
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/mutex/RetryAcquireTrait.php

Trait RetryAcquireTrait.

## Public Properties

Hide inherited properties

Property | Type | Description | Defined By
--- | --- | --- | ---
$retryDelay | integer | Number of milliseconds between each try in acquire() until specified timeout times out. | yii\mutex\RetryAcquireTrait

## Property Details

$retryDelay public property (available since version 2.0.16)

Number of milliseconds between each try in acquire() until specified timeout times out. By default it is 50 milliseconds - it means that acquire() may try acquire lock up to 20 times per second.

public integer $retryDelay = 50